image: docker:19.03.10

services:
  - docker:19.03.10-dind

stages:
  - test
  - securitytest

before_script:
  - apk add --no-cache py-pip python-dev libffi-dev openssl-dev gcc libc-dev make docker-compose

test:
  stage: test
  only:
    - master
  except:
    changes:
      - "*.adoc"
      - "*.md"
  script:
    - make test

securitytest:
  stage: test
  only:
    - master
  except:
    changes:
      - "*.adoc"
      - "*.md"
  script:
    - make securitytest
